
/* castle.c    Metaprat                                   */

/* This object is used to preload the autoloading objects (keys, policies, */
/* and invitations), and also to move the visible objects into the storage */
/* room.  It uses call_out()s for reliability, so that an error won't stop */
/* the autoloading items from being preloaded.                             */

#include "/players/metaprat/houses/house_defines.h"

#define LOCKERS    "/players/metaprat/misc_objs/lockers"
#define INSURQUOT  "/players/metaprat/misc_objs/insurancequote"

reset(arg) {
   call_out("preload_locker", 0);
   call_out("preload_houses", 0);

   /* make sure the storage room is loaded into the game */
   STORAGE->XXXXXXXX();
   move_object(this_object(), find_object(STORAGE));
}



preload_locker() {
   remove_call_out("preload_locker");

   /* Preload the autoloading item first */
   INSURQUOT->XXXXXX();

   /* Then move the visible object */
   LOCKERS->XXXXXX();
   move_object(find_object(LOCKERS), find_object(STORAGE));
}



preload_houses() {
   object quest_ob;

   remove_call_out("preload_houses");

   /* Preload the autoloaded items first */
   HOUSEKEY->XXXXXXX();
   INVITATIONS->XXXXXXXX();

   /* Now move visible items about */
   ESTATEAGENT->XXXXXXX();
   move_object(find_object(ESTATEAGENT), find_object(STORAGE));

   PORTAL->XXXXXXX();
   move_object(find_object(PORTAL), find_object(STORAGE));

   VOTING->XXXXXXX();
   move_object(find_object(VOTING), find_object(STORAGE));

   /* Set up the quest, if its activated */
   if (ALLOW_QUEST) {
      "/room/quest_room"->XXXXXXX();
      if (!present(QUESTNAME, find_object("/room/quest_room"))) {
         quest_ob = clone_object("/obj/quest_obj");
         quest_ob->set_name(QUESTNAME);
         quest_ob->set_hint(
"The Best House quest\n" +
"The aim of this quest, is to be voted the Best House Owner by your peers.\n"+
"It involves the design skills that you will require as a wizard :-\n" +
"\t*\tattention to detail\n" +
"\t*\tcreativity and imagination\n" +
"\t*\tand a certain amount of salesmanship ;)\n" +
"Essentially, you must get a house, design an area, and open it to the\n" +
"public.  It helps if you plan the area out ahead of time, with a coherent\n"+
"theme.\n");
         move_object(quest_ob, "/room/quest_room");
      }
   }
}



id(str) {
   /* Make the castle easier to dest */
   return (str == "metaprat_castle")   ||
          (str == "metaprat castle")   ||
          (str == "metaprats castle")  ||
          (str == "metaprat's castle") ||
          (str == "castle");
}


short() {
    return 0;   /* invisible */
}

