
 /* House_help.c        Metaprat       16th April 1992   */


#include "house_defines.h"
#include "array_funcs.c"


static string help_array_mortal;
static string help_array_wizard;

reset(arg) {
   if (arg) {
      return;
   }
   help_array_mortal = ({

"house",

"Welcome to your new Metaprat Industries house.  These houses\n"+
"have been specially designed for the comfort and convenience\n"+
"of you, the consumer.  The owner may decorate as he or she\n"+
"wishes, and the new design will remain perfect even if the\n"+
"mud itself crashes or shuts down.  Furthermore, he or she has\n"+
"an unprecedented degree of access control; friends may be\n"+
"invited, and even banished if they don't behave themselves.\n"+
"For summaries of each of these points, please enter 'help <topic>':\n"+
"        map        \tdecorate \tbuild   \tfurnish\n"+
"        doors      \trooms    \tinvite  \texpel\n"+
"        destroy    \titems    \tkitchen \thourglass\n"+
"        magicmirror\tclock    \tmonster \tpublic\n"+
"        revenue    \trank     \tvote    \tsources\n"+
"Wizards can also read the topic 'wizard house'.\n",

"map",

"Is this house so large that you need a map to explore it?\n"+
"Well, worry not!  ACME DIY provides cheap, biodegradable maps\n"+
"to anyone who requests one with the 'map' command.  The paper\n"+
"is designed to have a minimum impact on the environment, by\n"+
"degrading into harmless dust after a few minutes.\n"+
"Wizards can also use the command 'draw_house_of <person>'.\n"+
"Cost: " + MAPCOST + ".\n"+
"See also: house.\n",

"decorate",

"With the aid of ACME DIY, the appearence and even role of any\n"+
"room may be totally changed, with a minimum of effort.\n"+
"Simply by using the 'decorate' command, the lucky customer\n"+
"may permanently modify the description of a room.  Using\n"+
"the elegant and simple interface made famous by the bulletin\n"+
"boards, the customer can specify the new design, see what it\n"+
"would look like, and is then given the option to go ahead\n"+
"with the redecoration, or not.\n"+
"Cost: " + DECORCOST + " coins.\n"+
"Also: house, build, destroy, furnish, kitchen, doors, rooms, items.\n",

"build",

"Extensions for you wonderful new house allow you to expand\n"+
"to your heart's desire*.  You can build new rooms, and new\n"+
"doors, simply by saying   'build room east'.  If you have\n"+
"built a room you don't want anymore, then it may be\n"+
"destroyed if you wish.\n"+
"*- if you desire " + MAXNUMROOMS + " rooms or less, that is :-)\n"+
"Cost: " + ROOMCOST + " gp for a new room, and " + DOORCOST+
" gp for a door.\n"+
"Also: house, decorate, destroy, furnish, doors, rooms, items.\n",

"destroy",

"If you want to get rid of an exit, or a room that is surplus\n"+
"to your requirements, you may 'destroy room'.  To get rid of\n"+
"a room, you must be in it at the time, and also must have\n"+
"already destroyed all the exits to the room.\n"+
"Destroying an exit is equally easy, simply 'destroy exit'\n"+
"or 'destroy door north', and it will be removed rapidly.\n"+
"However; a word of warning.  If you isolate rooms, it may\n"+
"be expensive to build rooms and exits to reach them again.\n"+
"Cost: Free for a room, and " + DOORCOST + " coins to destroy\n"+
"each exit.\n"+
"Also: house, decorate, build, furnish, doors, rooms, items.\n",

"furnish",

"Allows the owner to set one or more special features in a\n" +
"room.  The current furnish options are:\n" +
"\tkitchen    \t- A supply of food and drink\n"  +
"\tmagicmirror\t- Locate other players within the game\n" +
"\tclock      \t- Find out what the time is ;)\n"  +
"\tpublic     \t- Allow anyone entry at any time via the magic portal\n"+
"\thourglass  \t- Gives hints as to when the next reset is\n"+
"\tmonster    \t- Create a monster in the room (Lev 1 to 19)\n" +
"\tdarkness   \t- Makes the room dark\n" +
"For information about a particular furnishing, help <thing>\n"+
"To furnish a room, 'furnish'.\n" +
"Cost: " + FURNISHCOST + " coins to add a furnish option\n" +
"to a room.\n" +
"Also: house, decorate, build, destroy, doors, rooms, items, vote.\n",

"kitchen",

"This is one of the furnishing options.  Essentially, it\n"+
"gives you a wide selection of food and drink to buy.  To see\n"+
"the list of items, 'look at drinks cabinet'  (to see drinks)\n"+
"or                 'look at ingredients'   (to see food).\n"+
"Also the aliases 'cupboard' and 'food' exist for the food,\n"+
"and 'drinks' and 'cabinet' for the drinks.  It looks good if\n"+
"you mention the name in the rooms description.\n"+
"To actually get an item, 'pour <drink>' or 'cook <food>'.\n" +
"Cost: Varies according to the item.  Stated in the list.\n"+
"See also: furnish, magicmirror, clock, public, hourglass, monster.\n"+
"Wizards can also read the topic 'wizard kitchen'.\n",

"magicmirror",

"This is one of the furnishing options.  By looking into the mirror,\n"+
"and concentrating on one of the images there, you can see where\n" +
"a person is.  Don't try concentrating on wizards though, they don't\n"+
"like to be watched ;)\n" +
"Hint: mention the mirror in the room description, so that people\n" +
"know its there.\n"  +
"Cost: " + FURNISHCOST + " coins, when the furnishings are updated.\n" +
"See also: furnish, kitchen, clock, public, hourglass, monster.\n",

"clock",

"This is one of the furnishing options.  Its just a simple clock,\n"+
"which tells you the current time.  You can supply an offset in\n" +
"hours and minutes, so that it'll translate from local time, to\n" +
"the time in your timezone.\n" +
"Hint: mention the clock in the room description, so that people\n" +
"know its there.\n" +
"Cost: " + FURNISHCOST + " coins, when the furnishings are updated.\n" +
"See also: furnish, kitchen, magicmirror, public, hourglass, monster.\n",

"public",

"This is one of the furnishing options.  It changes your house into\n" +
"a 'public house', which anyone can enter, using the magic portal\n" +
"in the storage room (where the estate agent is).  Note that if\n"+
"you use your house to keep stuff in, its important to hide the\n" +
"equipment behind a portal (eg, the door type which only allows\n" +
"the house owner to enter).  Essentially, this option makes your\n"+
"house into a realm, where players can enter, kill monsters, buy\n" +
"drinks, and so forth.  You will get revenue from any money spent\n"+
"by other people while visiting your house ('help revenue'), and\n" +
"your house-rank will increase as they move around ('help rank').\n" +
"Cost: " + FURNISHCOST + " coins, when the furnishings are updated.\n" +
"See also: furnish, kitchen, magicmirror, clock, hourglass, monster, vote.\n",

"rank",

"Shows your house-rank.  Your house-rank will be higher, the more\n" +
"visitors you have, and the more they move around in your area.\n" +
"The rank is updated every reset (usually between 20 minutes and an\n"+
"hour).  Also, the rank drops very slowly over time.\n" +
"People who have been wizards, will recognise this as being similar\n"+
"to the 'wizlist'.  Like the wizlist, this is for informational\n" +
"purposes only, and has no role in the game itself.\n"  +
"Cost: Not applicable.\n" +
"See also: furnish, public, monster, kitchen, revenue, vote.\n",

"revenue",

"If you have visitors in your house, you will be given a commission\n" +
"on any money that they spend in your house (eg, buying maps, or\n" +
"food and drink).  This money is recorded permanently, and given out\n"+
"every reset (usually between 20 minutes and an hour).  If you are\n"+
"not logged on at the time, or if the game shuts down before you\n" +
"receive your money, the amount is remembered until the next reset\n" +
"when you happen to be on.\n" +
"Cost: Not applicable.  Commission is " + COMMISSION(100) + "%.\n" +
"See also: furnish, public, monster, kitchen, rank, vote.\n",

"hourglass",

"This is one of the furnishing options.  It allows you to roughly\n" +
"estimate the time of the next (or the last) reset.  A reset is\n" +
"the time when monsters and treasure objects start to reform in\n" +
"the game.  Since the reset takes several minutes to complete (at\n" +
"least), the exact time will vary from castle to castle.\n" +
"When the hourglass has all the sand at the top (eg, freshly turned)\n"+
"a reset has just taken place, and when all the sand is at the base,\n"+
"a reset will be due at any moment.\n" +
"Hint: mention the hourglass in the room description, so that people\n"+
"know its there.\n" +
"Cost: " + FURNISHCOST + " coins, when the furnishings are updated.\n" +
"See also: furnish, kitchen, magicmirror, clock, public, monster.\n",

"monster",

"This is one of the furnishing options.  It allows you to make\n"+
"monsters in your rooms, of any level between 1 and 19 inclusive.\n"+
"They are non-aggressive, non-mobile, and will reset in a similar\n"+
"way to other monsters in the game.  When you add the furnishing\n"+
"option, the name of the furnishing must be:\n"+
"       monster:18:huge tawny lion\n"+
"Note that two adjectives must be supplied, separated by spaces.\n"+
"You may have only one monster per room.\n"+
"Cost: " + FURNISHCOST + " coins, when the furnishings are updated.\n"+
"See also: furnish, kitchen, magicmirror, clock, public, hourglass.\n"+
"Wizards can also read the topic 'wizard monster'\n",

"vote",

"This is a voting booth command.\n" +
"Vote for a candidate.  You can only vote for a house that is\n" +
"public, and whose owner has not won before.  You are allowed\n" +
MAXNUMVOTES + " vote(s) each time the contest runs, which you can assign\n" +
"in any way you wish.  People of level " + MINVOTINGLEV +
"or higher can vote.\n" +
"See also: showwinners, showlastcontest, declarefinished,\n" +
"   getreward, public, monster, rank, furnish\n",

"showwinners",

"This is a voting booth command.\n" +
"Shows the list of past winners, together with a few bits of\n" +
"information about each contest.\n" +
"See also: vote, showlastcontest, declarefinished, getreward,\n" +
"   public, monster, rank, furnish\n",

"showlastcontest",

"This is a voting booth command.\n" +
"Shows the last winner, together with the other candidates,\n" +
"and details of the proportion of votes that they each got.\n" +
"See also: vote, showwinners, declarefinished, getreward,\n" +
"   public, monster, rank, furnish\n",

"declarefinished",

"This is a voting booth command.\n" +
"Declare the contest over.  Since the contest has a minimum\n" +
"time period, and a minimum number of total votes cast, this\n" +
"may not be always possible.  Anyone, including players, can\n" +
"declare the contest finished.  If there is not a clear\n" +
"winner, the contest will continue.\n" +
"To check the time remaining, and the votes remaining, examine\n" +
"the voting booth.\n" +
"See also: vote, showwinners, showlastcontest, getreward,\n" +
"   public, monster, rank, furnish\n",

"getreward",

"This is a voting booth command.\n" +
"People who have won the contest, call collect their rewards\n" +
"from this point.  If they have won, but have had their quest\n" +
"marker lost for some reason, they will have the quest given\n" +
"to them again, but no reward.\n" +
"See also: vote, showwinners, showlastcontest, declarefinished,\n" +
"   public, monster, rank, furnish\n",


"items",

"This command allows the owner to define examinable items in\n"+
"the room.  Up to " + MAXITEMNUM + " items may be defined in\n"+
"each room, with one line of text as the description.\n" +
"Cost: " + ITEMCOST + " coins each time the items list is\n"+
"updated by the owner.\n"  +
"Also: house, decorate, build, destroy, furnish, doors, rooms.\n",

"doors",

"ACME DIY supply the following types of doors:\n" +
"   Simple exits,\n" +
"   Doors that may open and close,\n" +
"   Doors that may be locked, by the owner of the house,\n"    +
"   Magic Portals, that only the owner of the house may use,\n"+
"   Hidden exits, not shown on map, or obvious exits line.\n"  +
"   Exits to the church, guild, shop, pub, and post office.\n" +
"To get a new door, simply:   'build door north'.\n" +
"Doors may be build in most directions, including upwards.\n"  +
"Cost: " + DOORCOST + " coins to get a new exit.\n"  +
"See also: house, decorate, build, furnish, rooms.\n",

"rooms",

"ACME DIY has connections with many reputable builders, who\n" +
"will be glad to add an extension to your house.  Not only\n" +
"are you supplied with a wonderful new room in your house,\n"+
"you are sold a wonderful door to it!\n" +
"To have the room build, simply:   'build room north', and\n"  +
"the new room and the connecting door will be put into place\n"+
"immediately, by the 24-hour speedy-builder (Ltd) firm.\n"  +
"Due to the local housing regulations, you can have up to " +
      MAXNUMROOMS + "\n" +
"rooms, but no more.  Rooms may be demolished if you wish, by\n" +
"using the 'destroy' command.\n"  +
"Rooms may be built up and down, as well as the eight cardinal\n"+
"directions (north, south.. northeast, northwest.. ).\n" +
"Cost: " + ROOMCOST + " gp to build a new room, with another\n"  +
DOORCOST + " gp for the exit leading to it.\n"   +
"See also: house, decorate, build, furnish, doors.\n",

"invite",

"Let your friends admire your new house; invite them in for a\n" +
"house warming party!  Decorate the place with balloons and\n" +
"tinsel, then get down and _rock_!  Yes, thats right, invite\n" +
"will send your friends a rapid mail invitation, all they\n"  +
"to do is go the the church, or to a house, and accept it!\n" +
"In no time at all, they'll be crowding around in your house\n" +
"gasping at the amazing decor!\n" +
"'invite <person>' to give then a normal invitation, and\n" +
"'invite <person> permanent' to give them a permanent invitation.\n"+
"Cost: " + INVITECOST + " coins for a once-only invitation,\n" +
"Cost: " + INVITEPERMCOST + " coins for a permanent invitation.\n"  +
"See also: house, expel.\n",

"expel",

"When things get too rough, as they always do, the customer\n" +
"can always rely on the ability to expel the trouble makers\n" +
"from the new house.  Simply 'expel <person>'!  Yes, thats\n"  +
"right, they'll get booted into the church with the proles\n"  +
"where they belong, leaving the house nice and peaceful.\n" +
"Naturally, if an invitation has been issued to someone, the\n"+
"expulsion will also cancel their invitation.\n" +
"Cost: Free.\n" +
"See also: house, invite.\n",

"sources",

"If you enjoyed using these houses, and would like to install them\n"+
"on your mud, the filename is:  houses_and_lockersV2.1.tar.Z\n" +
"Search for it using 'archie', or alternatively try looking in\n" +
"lysator.liu.se (/pub/lpmud/lpc), or ucbvax.berkeley.edu.\n" +
"They are designed for use with 2.4.5 mudlibs, with drivers\n" +
"of version 3.0.11a or later (running in compat_mode).\n"  +
"Cost: Free ;)  But if you meet me in R.L., buy me a pint..\n"        });


   help_array_wizard = ({

"wizard house",

"Wizards can use the following commands:\n"+
"  generate_lpc       -- writes LPC code into a file for the room.\n"+
"  room_stats         -- shows statistics for the current room.\n"+
"  agent_stats        -- shows revenue statistics since reboot.\n"+
"  master_stats       -- All info from the following 4 commands.\n"+
"  show_active_houses -- shows the currently active houses.\n" +
"  show_house_owners  -- shows the house owners.\n" +
"  show_public_houses -- shows the houses with 'public' set.\n" +
"  show_revenue       -- shows outstanding revenue due to owners.\n" +
"  voting_stats       -- shows current state of the 'best_house' contest\n" +
"Functions that may be useful:\n"+
"  in \"/players/metaprat/houses/master_house\",\n"+
"     query_house(person's name); returns ptr -> house.\n"+
"  in house object,\n"+
"     query_room(index); returns ptr to room objects.\n"+
"     self_destruct(); destructs every room.\n"+
"See also:  generate_lpc, query_house, query_room, self_destruct,\n"+
"  restore_stats, set_owner, query_owner, find_room, get_room_index,\n"+
"  query_room_position, wizard kitchen, wizard monster, wizard quest.\n",

"query_house",

"Defined in: " + MASTERHOUSE + ".\n"+
"Parameter: owner's name.\n"+
"Returns: object ptr to current house object, or zero.\n"+
"Usually houses will not have been created, unless the owner has\n"+
"entered it recently.  If the house is currently active, this\n"+
"routine will return the object pointer to it.  For example, a\n"+
"code fragment to exit to a house from your workroom would be:\n"+
"move(str) {\n"+
"   object house;\n"+
"   if (query_verb() == \"entrance\") {\n"+
"      house = \"" + MASTERHOUSE + "\"->query_house(\"metaprat\");\n" +
"      if (!house) {\n"+
"         house = clone_object(\"" + HOUSE + "\");\n" +
"         house->set_owner(\"metaprat\");\n" +
"         house->restore_stats(\"metaprat\");\n"+
"      }\n"+
"      this_player()->\n"+
"         move_player(query_verb() + \"#\" + file_name(house));\n" +
"      return 1;\n"+
"   }\n"+
"   return ::move(str);\n"+
"}\n"+
"Also: master_stats, query_house_exists, set_owner, restore_stats.\n",

"query_house_exists",

"Defined in: " + MASTERHOUSE + ".\n"+
"Parameter: owner's name.\n"+
"Returns: true or false.\n"+
"Searches the master house database to find out if a house has\n"+
"ever been registered for a given owner.\n"+
"Also: master_stats, query_house, set_owner, restore_stats.\n",

"generate_lpc",

"Parameters: full file path.\n"+
"This generates code that approximately simulates the current house\n"+
"room, into the filename specified.  Remember to create any subdirs\n"+
"mentioned in the file path, and that you can only generate files\n"+
"into /open/.. and /players/yourname/... (or subdirectories within\n"+
"those areas).  The houses make some assumptions about the filename,\n"+
"the default path is:\n"+
"    generate_lpc /players/yourname/rooms/house_XX, where XX is\n"+
"the index number of the current room (see room_stats).  If you\n"+
"give the 'house_' bit a different name, change the PREFIX\n"+
"definition in the rooms.\n"+
"See also: wizard house, room_stats.\n",

"room_stats",

"These commands are available in your own house.  Once you have typed it,\n" +
"you are given a 'house statistics' object, which can be used anywhere.\n" +
"This command gives the statistics of the current (house) room.\n" +
"See also: wizard house, agent_stats, master_stats, show_active_houses,\n" +
"  show_house_owners, show_public_houses, show_revenue, voting_stats.\n",

"master_stats",

"These commands are available in your own house.  Once you have typed it,\n" +
"you are given a 'house statistics' object, which can be used anywhere.\n" +
"This command gives the stats from the master house object, which is the\n" +
"the information from show_active_houses, show_house_owners, show_revenue\n" +
"and show_public_houses all in one command.  This may be too much to see\n" +
"in one go, so if you have problems, try using the individual commands.\n" +
"See also: wizard house, agent_stats, room_stats, voting_stats.\n",

"show_active_houses",

"These commands are available in your own house.  Once you have typed it,\n" +
"you are given a 'house statistics' object, which can be used anywhere.\n" +
"This command shows you all currently active houses.\n" +
"See also: wizard house, agent_stats, room_stats, master_stats,\n" +
"  show_house_owners, show_public_houses, show_revenue, voting_stats\n",

"show_house_owners",

"These commands are available in your own house.  Once you have typed it,\n" +
"you are given a 'house statistics' object, which can be used anywhere.\n" +
"This command shows you all the house owners.\n" +
"See also: wizard house, agent_stats, room_stats, master_stats,\n" +
"  show_active_houses, show_public_houses, show_revenue, voting_stats.\n",

"show_public_houses",

"These commands are available in your own house.  Once you have typed it,\n" +
"you are given a 'house statistics' object, which can be used anywhere.\n" +
"This command shows you the houses which are set to 'public'.\n" +
"See also: wizard house, agent_stats, room_stats, master_stats,\n" +
"  show_house_owners, show_active_houses, show_revenue, public,\n"+
"  voting_stats.\n",

"show_revenue",

"These commands are available in your own house.  Once you have typed it,\n" +
"you are given a 'house statistics' object, which can be used anywhere.\n" +
"This command shows you all outstanding revenue due to owners.\n" +
"See also: wizard house, agent_stats, room_stats, master_stats,\n" +
"  show_house_owners, show_public_houses, show_active_houses, revenue,\n" +
"  voting_stats.\n",

"agent_stats",

"These commands are available in your own house.  Once you have typed it,\n" +
"you are given a 'house statistics' object, which can be used anywhere.\n" +
"This command gives an analysis of all revenue since last reboot.\n" +
"See also: wizard house, room_stats, master_stats, show_active_houses,\n" +
"  show_house_owners, show_public_houses, show_revenue, voting_stats.\n",

"voting_stats",

"These commands are available in your own house.  Once you have typed it,\n" +
"you are given a 'house statistics' object, which can be used anywhere.\n" +
"This command shows the current status of the 'best_house' contest (which\n"+
"may also be a quest, if the ALLOW_QUEST option is set).\n"+
"See also: wizard house, room_stats, master_stats, show_active_houses,\n" +
"  show_house_owners, show_public_houses, show_revenue, wizard quest,\n" +
"  vote, showlastcontest, declarefinished, getreward, public, monster,\n" +
"  rank, furnish.\n",

"self_destruct",

"Defined in: main house (room 0).\n"+
"Parameters: none.\n"+
"This function will destruct each room in turn, moving out all\n"+
"objects inside them to the church.  The data structures in\n"+
"the save file will be intact, so it is used mainly for\n"+
"updating the house version, or saving memory.\n"+
"At every reset, the houses are checked.  If they are empty,\n"+
"*and* the owner is logged out, then they self_destruct to\n"+
"save memory.\n"+
"See also: wizard house\n",

"restore_stats",

"Defined in: main house (room 0).\n"+
"Parameters: string owner_name.\n"+
"This function restores the house data structures from the\n"+
"owner_name save file.  Note that the rooms will NOT be\n"+
"updated, so it should be followed by a call to self_destruct.\n"+
"If you want to record the data structures into the real\n"+
"owner's file, some activity that does this must be performed.\n"+
"(eg, changing a door type, or redecorating).\n"+
"This effectively allows us to copy one save file onto\n"+
"another.  The only time when this is useful is when we want\n"+
"to change a player's name, or give a copy of his house to\n"+
"someone.  A special owner_name is NEW_OWNER.\n"+
"See also: wizard house\n",

"set_owner",

"Defined in: main house (room 0).\n"+
"Parameters: string owner_name.\n"+
"Allows us to change the owner name in the house itself.  This\n"+
"means that any changes the original owner makes will be\n"+
"recorded under the new name.  Be very careful using this.\n"+
"See also: wizard house\n",

"query_owner",

"Defined in: main house (room 0).\n"+
"Parameters: none.\n"+
"Guess! .. the owner name is the player's query_real_name.\n"+
"See also: wizard house\n",

"find_room",

"Defined in: main house (room 0).\n"+
"Parameters: int loc_x, int loc_y, int loc_z.\n"+
"Do not all this unless you are sure that a room exists at\n"+
"that location (eg, get_room_index() returns >= 0).\n"+
"It will return the object number of the room.  If the room\n"+
"has not been initialised, it will initialise it first.\n"+
"See also: wizard house\n",

"get_room_index",

"Defined in: main house (room 0).\n"+
"Parameters: int loc_x, int loc_y, int loc_z.\n"+
"This will return the rooms index number, which is from 0 to\n"+
"" + MAXNUMROOMS + ".  If no room at that location is found, then " +
"returns -1.\n"+
"See also: wizard house\n",

"query_room_position",

"Defined in: main house (room 0).\n"+
"Parameters: int indx  (0 to MAXNUMROOMS).\n"+
"It will return an array of int loc_x, int loc_y, int loc_z.\n"+
"The X positions are: west is -1, east is + 1.\n"+
"The Y positions are: north is -1, south is + 1.\n"+
"The Z positions are: down is -1, up is + 1.\n"+
"This is relative to the main room, so that a room which\n"+
"is S, W, W of the main room is ({ -2, 1, 0 )}.\n"+
"If there is no room at that index number, then it returns\n"+
"a null string, and can therefore be used to locate unused\n"+
"spaces in the data arrays.\n"+
"See also: wizard house\n",

"wizard monster",

"Muds vary wildly in the statistics that monsters should have.  In order\n"+
"to make the houses portable between muds, I have used the default\n" +
"statistics from /obj/monster, modified by a tuning formula provided\n" +
"in /players/metaprat/houses/house_defines.h.  This should be changed until\n"+
"the monsters being produced by the houses are acceptable.  Remember that\n" +
"no money or equipment is provided by killing the monsters.\n"+
"The tuning formulae are as follows:\n"+
"\t(level)\tMAXMONSTERLEVEL\n"+
"\t(WC)\tTUNE_MONSTER_WC(monster_ob->query_wc())\n"+
"\t(AC)\tTUNE_MONSTER_AC(monster_ob->query_ac())\n"+
"\t(HP)\tTUNE_MONSTER_HP(monster_ob->query_hp())\n"+
"See also: wizard house, wizard kitchen, wizard quest, monster\n",

"wizard kitchen",

"Muds vary wildly in the types and cost of healing items (eg, food, drink,\n"+
"sobering drinks, and heals) permitted.  In order to make the houses\n" +
"portable between muds, I have set up a number of tuning features in\n"+
"/players/metaprat/houses/house_defines.h.  The most basic control is to\n" +
"permit or deny each type of item (eg, ALLOW_XXXXX).  Fine tuning of both\n" +
"cost and strength is also available.\n"+
"See also: wizard house, wizard monster, wizard quest, kitchen\n",

"wizard quest",

"The optional quest is the 'best_house' quest.  The idea behind it is to\n" +
"open your house to the public, and be voted best house in one of the\n" +
"continual contests run by the voting device.  Since you can't win more\n" +
"than once, and new contests are run every 3 days (or whatever was set\n" +
"up in the house_defines.h file as FINISHTIME), it is quite feasable to\n" +
"win provided you've made a nice house.  It also puts a rigid control on\n" +
"the rate of quest completion by the players.\n" +
"As a quest, it is very unusual.. no hack & slaying, no exploring, no\n" +
"puzzles, just creativity and imagination (and lotsa-money).  The main\n" +
"intention is to give the player an experience of what it is like to\n" +
"be a wizard, by writing an area that other players will appreciate.\n" +
"The downfall is that unpopular players will find it harder to complete\n" +
"the quest (hmm.. maybe its not such a downfall after all.. unpopular\n" +
"players tend to be unpopular wizards too).  In anycase, the quest can\n" +
"be activated by setting the ALLOW_QUEST flag to true in the defines.h\n"+
"file.  The minimum votes required, and the minimum contest time can\n"+
"be set at the same time, together with some other values.  Large muds\n" +
"may wish to increase the number of votes required, and decrease the\n" +
"voting period.\n"+
"See also: wizard house, wizard monster, wizard kitchen, voting_stats\n" +
"   vote, showlastcontest, declarefinished, getreward, public, monster,\n" +
"   rank, furnish\n"
   });
}



help(str) {
   string help_text;

   help_text = search_paired_array(help_array_mortal, str);
   if (!help_text && (IAMWIZ)) {
      help_text = search_paired_array(help_array_wizard, str);
   }
   if (help_text) {
      write(help_text);
      return 1;
   }
   return 0;   /* probably just a normal help command */
}
