
 /* House_money.c      Metaprat       5th August 1992  */


#include "house_defines.h"
#include "array_funcs.c"

int total_money;   /* sum of all others together */
int agent_money;   string agent_list;
int build_money;   string build_list;
int drink_money;   string drink_list;
int decor_money;   string decor_list;
int invite_money;  string invite_list;
int visit_money;   string visit_list;
int map_money;     string map_list;
int door_money;    string door_list;
int furnish_money; string furnish_list;
int items_money;   string items_list;
int other_money;   string other_list;
int revenue_money; /* money given to player */



reset(arg) {
   if (arg) {
      return;
   }
   total_money   = 0;
   agent_money   = 0; agent_list   = ({ });
   build_money   = 0; build_list   = ({ });
   drink_money   = 0; drink_list   = ({ });
   decor_money   = 0; decor_list   = ({ });
   invite_money  = 0; invite_list  = ({ });
   visit_money   = 0; visit_list   = ({ });
   map_money     = 0; map_list     = ({ });
   door_money    = 0; door_list    = ({ });
   furnish_money = 0; furnish_list = ({ });
   items_money   = 0; items_list   = ({ });
   other_money   = 0; other_list   = ({ });
   revenue_money = 0;
}



has_money(arg) {
   if ((!intp(arg)) || (arg < 0)) {
      return 0;
   }
   if (arg > this_player()->query_money()) {
      write("Sorry, you do not have enough coins on you.  It costs " + arg +
            " coins for that.\n");
      if (IAMWIZ) {
         write("However, since you're a wiz.. who am I to complain?\n");
         return 1;
      }
      return 0;
   }
   return 1;
}


charge_money(arg, category) {
   object hall_obj;

   if ((!intp(arg)) || (arg <= 0)) {
      return;
   }
   write("You are charged " + arg + " coins.\n");
   if (IAMWIZ || (MYNAME == "metaprat")) {
      write("But since you're a wiz.. have it free instead!\n");
      return;
   }
   this_player()->add_money(-arg);
   total_money += arg;
   if (category == "agent") {
      agent_money += arg;
      if (!search_array(agent_list, MYNAME)) {
         agent_list = agent_list + ({ MYNAME });
      }
   }
   else if (category == "build") {
      build_money += arg;
      if (!search_array(build_list, MYNAME)) {
         build_list = build_list + ({ MYNAME });
      }
   }
   else if (category == "drink") {
      drink_money += arg;
      if (!search_array(drink_list, MYNAME)) {
         drink_list = drink_list + ({ MYNAME });
      }
   }
   else if (category == "decor") {
      decor_money += arg;
      if (!search_array(decor_list, MYNAME)) {
         decor_list = decor_list + ({ MYNAME });
      }
   }
   else if (category == "invite") {
      invite_money += arg;
      if (!search_array(invite_list, MYNAME)) {
         invite_list = invite_list + ({ MYNAME });
      }
   }
   else if (category == "visiting") {
      visit_money += arg;
      if (!search_array(visit_list, MYNAME)) {
         visit_list = visit_list + ({ MYNAME });
      }
   }
   else if (category == "map") {
      map_money += arg;
      if (!search_array(map_list, MYNAME)) {
         map_list = map_list + ({ MYNAME });
      }
   }
   else if (category == "door") {
      door_money += arg;
      if (!search_array(door_list, MYNAME)) {
         door_list = door_list + ({ MYNAME });
      }
   }
   else if (category == "furnish") {
      furnish_money += arg;
      if (!search_array(furnish_list, MYNAME)) {
         furnish_list = furnish_list + ({ MYNAME });
      }
   }
   else if (category == "items") {
      items_money += arg;
      if (!search_array(items_list, MYNAME)) {
         items_list = items_list + ({ MYNAME });
      }
   }
   else {
      other_money += arg;
      if (!search_array(other_list, MYNAME)) {
         other_list = other_list + ({ MYNAME });
      }
   }
   if (this_player() && environment(this_player()) &&
       (environment(this_player())->query_main_hall())) {
      hall_obj = environment(this_player())->query_main_hall();
   }
   if (hall_obj && (hall_obj->query_owner() != MYNAME)) {
      MASTERHOUSE->add_revenue(hall_obj->query_owner(), COMMISSION(arg));
   }
}



register_given_money(arg) {
   if ((!intp(arg)) || (arg <= 0)) {
      return;
   }
   revenue_money += arg;
   total_money -= arg;
}



show_revenue() {
   write("Total revenue collected: \t" + total_money + " gold.\n");
   write("Agent:  " + agent_money + "\t(buying houses)     ");
   if (sizeof(agent_list)) {
      write("[" + implode(agent_list, ", ") + "]\n");
   }
   else {
      write("\n");
   }
   write("Build:  " + build_money + "\t(building rooms)    ");
   if (sizeof(build_list)) {
      write("[" + implode(build_list, ", ") + "]\n");
   }
   else {
      write("\n");
   }
   write("Drink:  " + drink_money + "\t(food and drink)    ");
   if (sizeof(drink_list)) {
      write("[" + implode(drink_list, ", ") + "]\n");
   }
   else {
      write("\n");
   }
   write("Decor:  " + decor_money + "\t(decorating)        ");
   if (sizeof(decor_list)) {
      write("[" + implode(decor_list, ", ") + "]\n");
   }
   else {
      write("\n");
   }
   write("Invite: " + invite_money+ "\t(invitations)       ");
   if (sizeof(invite_list)) {
      write("[" + implode(invite_list, ", ") + "]\n");
   }
   else {
      write("\n");
   }
   write("Visit:  " + visit_money+  "\t(visiting houses)   ");
   if (sizeof(visit_list)) {
      write("[" + implode(visit_list, ", ") + "]\n");
   }
   else {
      write("\n");
   }
   write("Map:    " + map_money   + "\t(maps)              ");
   if (sizeof(map_list)) {
      write("[" + implode(map_list, ", ") + "]\n");
   }
   else {
      write("\n");
   }
   write("Door:   " + door_money  + "\t(building doors)    ");
   if (sizeof(door_list)) {
      write("[" + implode(door_list, ", ") + "]\n");
   }
   else {
      write("\n");
   }
   write("Furnis: " + furnish_money+"\t(adding furnishings)");
   if (sizeof(furnish_list)) {
      write("[" + implode(furnish_list, ", ") + "]\n");
   }
   else {
      write("\n");
   }
   write("Items:  " + items_money + "\t(examinable items)  ");
   if (sizeof(items_list)) {
      write("[" + implode(items_list, ", ") + "]\n");
   }
   else {
      write("\n");
   }
   write("Other:  " + other_money + "\t(miscellaneous)     ");
   if (sizeof(other_list)) {
      write("[" + implode(other_list, ", ") + "]\n");
   }
   else {
      write("\n");
   }
   write("Income -" + revenue_money+"\t(money given to players as income)\n");
}


