
/* house_portal.c       Metaprat       15th September 1992   */

#include "house_defines.h"


id(str) {
   return (str == "portal") || (str == "magic portal");
}


short() {
   return "A magic portal, leading to many houses";
}


long() {
   write("A magic portal, allowing entrance to the following houses:\n");
   MASTERHOUSE->show_public_houses(1);
   write("To actually enter a house, type:  \"enter <name>'s house\".\n");
   write("The cost of using this portal is: " + INVITECOST + " coins.\n");
}


init() {
   add_action("enter", "enter");
}


enter(str) {
   object house;
   string person;

   if ((sscanf(str, "%s's house",  person) != 1) &&
       (sscanf(str, "%ss house",   person) != 1) &&
       (sscanf(str, "%s house",    person) != 1) &&
       (sscanf(str, "house of %s", person) != 1)) {
      return 0;
   }
   person = lower_case(person);
   if ((!MASTERHOUSE->query_public_house(person))    &&
       ((sscanf(str, "%s house", person) != 1)       ||
        (!MASTERHOUSE->query_public_house(person)))) {
      write("That house isn't open to the public, sorry.\n");
      return 1;
   }
   if (!MONEY->has_money(INVITECOST)) {
      return 1;
   }
   house = MASTERHOUSE->query_house(person);
   if (!house) {
      house = clone_object(HOUSE);
      house->set_owner(person);
      house->restore_stats(person);
   }
   MASTERHOUSE->inc_wizlist(person);
   this_player()->move_player("to visit " + capitalize(person) +
                              "'s house#" + file_name(house));
   MONEY->charge_money(INVITECOST, "visiting");
   return 1;
}

